Mailinglist Archive: opensuse (4446 mails)

< Previous Next >
Re: [opensuse] openldap2 with db42
  • From: Ralf Haferkamp <rhafer@xxxxxxx>
  • Date: Mon, 11 Dec 2006 15:03:22 +0100
  • Message-id: <200612111503.22884.rhafer@xxxxxxx>
On Sunday 10 December 2006 10:54, Jan Engelhardt wrote:
> Hi,
>
>
> what I wonder is why the openldap2.spec file from
> openldap2-2.3.27-25.src.rpm requires db42-devel even though the binary
> package, as found in the 10.2 repo, is itself linked against db 4.4.
> A strange packaging bug?
Not really strange, but yes a packaging bug. Forgot to remove db42-devel from
BuildRequires for 10.2. It was needed in 10.1 in order to update correctly
from previous versions.
But it is just a build time requirement not a real dependency. So it doesn't
hurt in the installed system. I'll fix it for 10.3.

--
Ralf

SUSE LINUX Products GmbH, Maxfeldstrasse 5, D-90409 Nuernberg
T: +49-911-74053-0
F: +49-911-74053575 - Ralf.Haferkamp@xxxxxxxx
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
References